<%@page contentType="text/html; charset=UTF-8"%>
<%@page import="com.csc.library.entry.HelpEntry,com.csc.library.system.*,com.csc.library.report.ReportUDF"%>
<jsp:useBean id="AS08HELP" class="com.csc.library.system.Task" scope="page" />
<%AS08HELP.setChannel(request, response);%>
<%HelpEntry screen = (HelpEntry) AS08HELP.process("HelpEntry","AS08HELP");%>
<%screen.process();
ReportUDF rp=new ReportUDF();
%>
<html>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link href="../CSS/TISCO.css" rel="stylesheet" type="text/css">
<script  language="JavaScript" src="../JS/SCREEN.js"></script>

<script type='text/javascript' src='../JS/ICONSMENU.js'></script>
<script language='javascript' src='../JS/HOTKEY.js'></script>
<script language='javascript'>setLang('<%=screen.getUProfile().get("lang")%>');</script>

<script language="JavaScript" type="text/JavaScript">
<!--
function GoSave() { }
function GoDelete(){}
function GoSearch(){ search(); }
function GoUpdate(){}

function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}

/*function setAction(_dsid,_dsname,_dsclass,_dstype){
 	with(window.opener.document.cscform){
		__dsid.value = _dsid;
		__dsname.value=_dsname;
		__dsclass.value=_dsclass;
                for(i=0;i<dstype.length;i++){
                    if(dstype[i].value==_dstype){
                        dstype[i].checked=true;
                      }
                  }
	}
	window.close();
}*/
function setAction(_dsid,_dsname,_dsclass,_dstype){
    var objid="<%=request.getParameter("objid")%>";
    var objname="<%=request.getParameter("objname")%>";
    var objclass="<%=request.getParameter("objclass")%>";
    var objtype="<%=request.getParameter("objtype")%>";
 	with(window.opener.document.cscform){
		if(objid.length>0){ eval(objid + ".value = \"" + _dsid + "\""); }
		if(objname.length>0){ eval(objname + ".value = \"" + _dsname + "\""); }
		if(objclass.length>0){ eval(objclass + ".value = \"" + _dsclass + "\""); }
		if(objtype.length>0){
		       for(i=0;i<eval(objtype+".length");i++){
                    if(eval(objtype +"["+i+"].value")==_dstype){
                        eval(objtype +"["+i+"].checked=true");
                      }
                  }
		 }
	}
	window.close();
}

function MM_jumpMenu(targ,selObj,restore){ //v3.0
  eval(targ+".location='"+selObj.options[selObj.selectedIndex].value+"'");
  if (restore) selObj.selectedIndex=0;
}
//-->
function goBack(typeid,desc){
    with(window.opener.document.cscform){
		 tax_codeid.value=typeid;
	    // congroupDesc.value=desc;
	}
	window.close();
}
</script>

</head>
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" >
<form name="cscform" method="post" action="#">


<!----------BEGIN CSC INITIAL ZONE ------------------------>

<%=screen.InitialVariable()%>

<!----------END CSC INITIAL ZONE -------------------------->

<input type="hidden" name="__cmd" value="">
<input type="hidden" name="__help" value="">
<input type="hidden" name="__language" value="eng">
<input type="hidden" name="__pageCall" value="<%=request.getParameter("__screen")%>">
<input type="hidden" name="__language" value ="<%=screen.getUProfile().get("lang")%>"> 
  <br>
  <div align="center">
    <table  cellpadding="0"  cellspacing="0">
      <tr >
        <td  class="header">AS08HELP
          <script language="javascript">swapLang('Datasourse Table Detail');</script>
        &nbsp;</td></tr>
      <tr >
        <td  colspan="2">
          <div align="center">
            <table  cellpadding="0" cellspacing="0" >
              <tr>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
              </tr>
              <tr>
                <td><div align="left">&nbsp;
                    <script language="javascript">swapLang('Order By');</script>
                  </div></td>
                <td><%=screen.getTagOrder()%></td>
              </tr>
              <tr>
                <td width="70"><div align="left">&nbsp;
                    <script language="javascript">swapLang('Search By');</script>
                  </div></td>
                <td width="570"><%=screen.getTagSearchBy()%><%=screen.getTagConSearch()%>
                  <%=screen.getTagValueSearch()%> <a href="javascript:search();" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('Image4','','../IMAGES/BUTTON/SWAP/SEARCH_SWAP20.gif',1)"><img src="../IMAGES/BUTTON/MAIN/SEARCH20.gif" alt="ค้นหา" name="Image4" width="20" height="20" border="0" align="absmiddle"></a></td>
              </tr>
              <tr>
                <td colspan="2"  class="blankspace"></td>
              </tr>
              <tr>
                <td colspan="2"><div align="right"><strong><%=screen.getPageTag()%>&nbsp;</strong></div></td>
              </tr>
              <tr >
                <td colspan="2" bgcolor="#FFFFFF"  class="columnlabel"><table width="100%" border="0" cellpadding="3" cellspacing="1" bgcolor="#666666">
                    <tr>
                      <td class="title1"width="51"><div align="center">
                          <script language="javascript">swapLang('Code');</script>
                        </div></td>
                      <td class="title1"width="383"><div align="center">
                          <script language="javascript">swapLang('Description');</script>
                        </div></td>
                      <td class="title1"width="114"><div align="center">
                          <script language="javascript">swapLang('Class_Name');</script>
                        </div></td>
                      <td class="title1"width="114"><div align="center">
                          <script language="javascript">swapLang('Class Type');</script>
                        </div></td>
                    </tr>
					<%
					while(screen.nextRec()){
					%>
                    <tr onclick="setAction('<%=screen.getString("dsid")%>','<%=screen.getString("dsname")%>','<%=screen.getString("dsclass")%>','<%=screen.getString("dstype")%>');">
                      <td><div align="center"><%=screen.getString("dsid")%></div></td>
                      <td><%=screen.getString("dsname")%></td>
                      <td><div align="center"><%=screen.getString("dsclass")%></div></td>
                      <td nowrap><div align="center"><%=rp.getSystemCode("Dstype",screen.getUProfile().get("lang"),screen.getString("dstype"))%></div></td>
                    </tr>
					<%}%>
                  </table></td>
              </tr>
              <tr >
                <td colspan="2" class="blankspace"><div align="right"><a href="javascript:window.close();" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('Image41','','../IMAGES/BUTTON/SWAP/BACK_SWAP20.gif',1)"><img src="../IMAGES/BUTTON/MAIN/BACK20.gif" alt="กลับไปหน้าที่แล้ว" name="Image41" width="20" height="20" border="0" align="absmiddle" id="Image41"></a></div></td>
              </tr>
            </table>
          </div></td>
      </tr>
      <tr bordercolor="0069B3">
        <td  class="bottom"></td>
      </tr>
    </table>
  </div>
</form>
</body>
</html>
